Subject: Re: Anybody tried compiling xfig 3.2?
From: [email-masked] ("Steven J. Zeil")

29 Aug 1997 09:57:45 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-To: "Anees A. Shaikh" <[email-masked]>
Original-cc: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

On Fri, 22 Aug 1997, Anees A. Shaikh wrote:

> Hi,
> 
> I'm trying to get xfig running on my Win95 box under b18.  Using
> precompiled X11 libs from Arlindo and cygwin.dll from Sergey (not the
> latest) I was able to compile with the following mods:
> 
> -   replace calls to random/srandom with rand/srand
> -   force it to use dirent.h structs rather than dir.h -- there is no
> dir.h
> 

I compiled xfig 3.1.4 using the same process.

> I also compiled libjpeg 

Yes, I used version 6a

> and libXpm pretty much out of the box
> (necessary for xfig).

I didn't need that.  Is it optional, or a change between xfig 3.1.4 and
3.2?

> My assumption that getting it to compile would result in a working
> binary didn't hold.  It seems to start up okay but then immediately
> crashes with an exception.
> 

I had a few of those that I traced to having set up my X server stuff
incorrectly.  Make sure that you can run the various binaries that come
with Arlindo's X libs.

SJZ

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".